function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function Door_GoGaudiBlackmaketUndergroundEntrance()
    if(FLJ("CannotEscape")) then
        PRI()
        TUR()MS4("\nCannot escape!")NOD()
    elseif(FLJ("DropKey")) then
        PRI()
        FAC("curly_normal")MS4("\nHaven't picked up the key yet!")NOD()
    else
        PRI()MM0()SOU("CS_011_door")ANP("Door_GoGaudiBlackmaketUndergroundEntrance",0,1)FAO(3)TRA("CS_gaudi_blackmaket_underground_entrance","E0091",31,5)
    end
end

function MrG()
    KEY()
    CMU("XXXX")
    ANP("Grenademan1","stop_atk")
    ANP("Grenademan2","stop_atk")
    MM0()
    HMC()
    FAI(3)
    WAI(64)
    SOU("CS_011_door")
    ANP("Door_GoGaudiBlackmaketUndergroundEntrance",0,1)
    SMC(0)
    SMC(1)
    WAI(16)
    SOU("CS_011_door")
    ANP("Door_GoGaudiBlackmaketUndergroundEntrance",0,0)
    WAI(16)
    ANP("MrG1",0,0)
    WAI(32)
    SOU("CS_053_enemy_hurt_small")
    ANP("MrG1","jump",1)
    ANP("MrG1","run",1)
    WAI(150)
    ANP("MrG1","normal",0)
    WAI(32)
    CMU("CS_Gravity")
    ANP("Grenademan1","atk")
    ANP("Grenademan2","atk")
    FLP("CannotEscape")
    FLP("DropKey")
end

function DefeatedMrG()
    if(FLJ("DefeatedGrenademan1") and FLJ("DefeatedGrenademan2")) then
        CMU("XXXX")
        FLS("CannotEscape")
        --掉落钥匙
        ANP("MrG1","defeated")
        MNP("LiftKey1","MrG1")
        CNP("LiftKey1","CS_key",0)
    end
end

function Grenademan1()
    FLP("DefeatedGrenademan1")
    DefeatedMrG()
end

function Grenademan2()
    FLP("DefeatedGrenademan2")
    DefeatedMrG()
end

function Terminal1()
    if(FLJ("CannotEscape")) then
        PRI()
        TUR()MS4("\nNow is not the time to look at this!")NOD()
    else
        PRI()
        TUR()MS4("\nTerminate transaction, take them down!")NOD()
    end
end

function LiftKey1()
    PRI()
    MS4("\nFound the elevator key!")NOD()CLR()
    ITP("LiftKey")
    GIT("LiftKey")
    SOU("CS_038_get_item")
    DNP("LiftKey1")
    FLP("GetLiftKey")
    FLS("DropKey")
    CMU("CS_Fanfale1")
    CAT("\nObtained =ELEVATOR KEY=.")WAI(160)NOD()
    RMU()
end